Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	A system tool for maintaining the /etc/rc*.d hierarchy.
Name:		chkconfig
Version:	1.3.46
Release:	1
License:	GNU/GPL
Group:		System/Base
URL:		https://fedorahosted.org/releases/c/h/chkconfig/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	gettext

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: newt-devel
BuildRequires: popt-devel

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc.d, to relieve system administrators of some 
of the drudgery of manually editing the symbolic links.

%package -n ntsysv
Summary:	A tool to set the stop/start of system services in a runlevel.
Group:		%{group}
Requires:	chkconfig = %{version}-%{release}

%description -n ntsysv
Ntsysv provides a simple interface for setting which system services
are started or stopped in various runlevels (instead of directly
manipulating the numerous symbolic links in /etc/rc.d). Unless you
specify a runlevel or runlevels on the command line (see the man
page), ntsysv configures the current runlevel (5 if you're using X).

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} SBINDIR=%{_sbindir} install

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
ln -s rc.d/init.d $RPM_BUILD_ROOT/etc/init.d
for n in 0 1 2 3 4 5 6; do
    mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc${n}.d
    ln -s rc.d/rc${n}.d $RPM_BUILD_ROOT/etc/rc${n}.d
done

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%dir /etc/alternatives
/sbin/chkconfig
%{_sbindir}/update-alternatives
%{_sbindir}/alternatives
/etc/init.d
/etc/rc.d/init.d
/etc/rc[0-6].d
/etc/rc.d/rc[0-6].d
%dir /var/lib/alternatives
%{_mandir}/*/chkconfig*
%{_mandir}/*/update-alternatives*
%{_mandir}/*/alternatives*

%files -n ntsysv
%defattr(-,root,root)
%{_sbindir}/ntsysv
%{_mandir}/*/ntsysv.8*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.46-1
- version update
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 1.3.37-1
- Version update
* Fri Jan 19 2007 Christian Wasem <wasem@ccux-linux.de> 1.3.30-1
- Version Update
* Sat May 20 2006 Christian Wasem <wasem@ccux-linux.de> 1.3.29-1
- Initial Release
